falcon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Srikanth Sundarrajan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FALCON-1139) Validation issues in Falcon UI
Date Fri, 12 Jun 2015 04:50:00 GMT

    [ https://issues.apache.org/jira/browse/FALCON-1139?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14582932#comment-14582932
] 

Srikanth Sundarrajan commented on FALCON-1139:
----------------------------------------------

Newer version of pig & hive are available. Also we dont support oozie 3.x, any reasons
for them to be here ? Also we deprecated support for hadoop versions earlier than 2.5. Can
we remove entries that are incompatible with oozie 4.x and hadoop > 2.5
{noformat}
+      oozie: ['4.0.1', '4.0.0', '3.3.2', '3.3.1', '3.3.0', '3.2.0-incubating', '3.1.3-incubating'],
+      pig: ['pig-0.13.0', 'pig-0.12.1', 'pig-0.12.0', 'pig-0.11.1', 'pig-0.11.0', 'pig-0.10.1',
'pig-0.10.0', 'pig-0.9.2','pig-0.9.1' ,'pig-0.9.0' ,'pig-0.8.1', 'pig-0.8.0'],
+      hive: ['hive-0.13.1', 'hive-0.13.0', 'hive-0.12.0', 'hive-0.11.0', 'hive-0.10.0', 'hive-0.9.0','hive-0.8.1',
'hive-0.8.0', 'hive-0.7.0', 'hive-0.6.0']
{noformat}

> Validation issues in Falcon UI
> ------------------------------
>
>                 Key: FALCON-1139
>                 URL: https://issues.apache.org/jira/browse/FALCON-1139
>             Project: Falcon
>          Issue Type: Bug
>            Reporter: Pallavi Rao
>            Assignee: Pallavi Rao
>            Priority: Minor
>         Attachments: FALCON-1139.patch, FALCON-1139.patch
>
>
> Brought the Falcon UI up and was playing around and noticed some minor validation issues.
Thought I'll try and fix it to see how easy/difficult it is for UI newbies like me to fix.
> Some issues:
> 1. Cluster/Feed/Process name validation doesn't allow '-', whereas our XSD does.
> 2. For process workflow, engine version is mandated, although it is optional in XSD.
> 3. When the engine is changed, lets say, from PIG to Oozie, the version doesn't get reset
(it will continue to be that of PIG).
> 4. The engine versions need to be re-ordered, to display the latest first.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message